Firmware Downloads

HiCurrently trying to install ICOPs for Acquity UPLCs in a different country.  ICOPs install fine but when AutoLoader loads, it says our Acquity PDAs firmware is out of date and the file we have is not compatible with the new version.  The PDA instrument version is 1.50.5929.  I can find firmware for version 1.40 and below.  I have checked the Waters site and all I can find are Certificates of Assurance.  Can anyone point me in the right direction for firmware downloads?ThanksSi

Comments

  • Hello

    Apologies for the delayed response.

    When did you purchase this PDA detector, was it recently. If this is the case you are attempting to downgrade firmware on a new thermal controlled PDA and PDA eLambda. These instruments cannot run at firmware revisions below 1.50.XXX. This is due to the fact that the new features,  thermal control, lamp recognition and flow cell recognition) that are integral to this firmware. You can use a lower ICS version, but the firmware should not be adjusted.

    Let me know if this addressed your question.

    Best regards,

    Liz

Sign In or Register to comment.